View Issue Details

IDProjectCategoryView StatusLast Update
0000852OpenMPT[All Projects] Generalpublic2017-09-24 08:41
ReportermanxAssigned Tomanx 
PriorityurgentSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000852: Use proper parallel maintanance and development branches
Description

Always being able to release security updates is absolutely essential to getting proper packages into any distribution.
The current development model and version numbering does not allow to do that.
Having at least 1 maintenance branch which is developed in parallel to the development trunk and always is in release-ready state is a prerequisite for this.
Versioning these (at least 2) branches is required to be sensible even in case of interleaved updates.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0000778 resolvedmanx Rework libopenmpt versioning to be closer to SemVer 

Activities

manx

manx

2017-03-14 15:31

administrator   ~0002909

Since r7788, trunk uses proper version subdirectories for all packages, which makes it easier to provide automated packages for different version branches.

manx

manx

2017-03-14 15:31

administrator   ~0002910

trunk currently does not update the latest libopenmpt docs, which needs to get fixed.

manx

manx

2017-08-16 19:03

administrator   ~0003178

Everything should be ready from the build infrastructure side by now.

manx

manx

2017-09-23 07:21

administrator   ~0003234

Buildbot should be able to do proper branch builds for 1.27 as well as release builds for libopenmpt-0.3 now.
We cannot really test the release builds before an actual release, but we should test at least the branch builds.

manx

manx

2017-09-24 08:41

administrator   ~0003241

r8952 r8953 r8954

Issue History

Date Modified Username Field Change
2016-08-08 12:09 manx New Issue
2016-08-08 16:57 manx Relationship added related to 0000778
2017-03-14 15:31 manx Note Added: 0002909
2017-03-14 15:31 manx Note Added: 0002910
2017-08-16 19:03 manx Assigned To => manx
2017-08-16 19:03 manx Status new => assigned
2017-08-16 19:03 manx Note Added: 0003178
2017-09-23 07:21 manx Note Added: 0003234
2017-09-24 08:41 manx Status assigned => resolved
2017-09-24 08:41 manx Resolution open => fixed
2017-09-24 08:41 manx Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-09-24 08:41 manx Note Added: 0003241